## texinfo 7.1.1

=== tp/maintain/lib/libintl-perl/Makefile ===
# This Makefile is for the libintl-perl extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.24 (Revision: 72400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[High-Level Interface to Uniforum Message Translation]
#     AUTHOR => [q[Guido Flohr <guido.flohr@cantanea.com>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DIR => [q[gettext_xs]]
#     META_MERGE => { recommends=>{ File::ShareDir=>q[0] }, resources=>{ bugtracker=>q[https://github.com/gflohr/libintl-perl/issues], homepage=>q[http://www.guido-flohr.net/en/projects/], repository=>q[https://github.com/gflohr/libintl-perl.git] } }
#     NAME => q[libintl-perl]
#     PL_FILES => {  }
#     PREREQ_PM => { File::Spec=>q[0], version=>q[0.77] }
#     SIGN => q[1]
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[lib/Locale/Messages.pm]
#     clean => { FILES=>q[xs_disabled build_xs] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/x86_64-linux-gnu/perl/5.26/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = x86_64-linux-gnu-gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = x86_64-linux-gnu-gcc
LDDLFLAGS = -shared -L/usr/local/lib -fstack-protector-strong
LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
LIBC = libc-2.27.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 4.9.0
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.26.1
SITEARCHEXP = /usr/local/lib/x86_64-linux-gnu/perl/5.26.1
SO = so
VENDORARCHEXP = /usr/lib/x86_64-linux-gnu/perl5/5.26
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = libintl-perl
NAME_SYM = libintl_perl
VERSION = 1.32
VERSION_MACRO = VERSION
VERSION_SYM = 1_32
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.32
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr
SITEPREFIX = /usr/local
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/share/perl/5.26
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/local/share/perl/5.26.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /usr/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.26
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/local/lib/x86_64-linux-gnu/perl/5.26.1
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /usr/lib/x86_64-linux-gnu/perl5/5.26
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.26
PERL_ARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.26
PERL_ARCHLIBDEP = /usr/lib/x86_64-linux-gnu/perl/5.26
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/x86_64-linux-gnu/perl/5.26/CORE
PERL_INCDEP = /usr/lib/x86_64-linux-gnu/perl/5.26/CORE
PERL = "/usr/bin/perl"
FULLPERL = "/usr/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.26/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.24
MM_REVISION = 72400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = libintl-perl
BASEEXT = perl
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Locale/Messages.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/Locale/Messages.pm \
	lib/Locale/Recode.pm \
	lib/Locale/Recode/_Aliases.pm \
	lib/Locale/Recode/_Conversions.pm \
	lib/Locale/RecodeData.pm \
	lib/Locale/RecodeData/ASMO_449.pm \
	lib/Locale/RecodeData/ATARI_ST.pm \
	lib/Locale/RecodeData/ATARI_ST_EURO.pm \
	lib/Locale/RecodeData/CP10007.pm \
	lib/Locale/RecodeData/CP1250.pm \
	lib/Locale/RecodeData/CP1251.pm \
	lib/Locale/RecodeData/CP1252.pm \
	lib/Locale/RecodeData/CP1253.pm \
	lib/Locale/RecodeData/CP1254.pm \
	lib/Locale/RecodeData/CP1256.pm \
	lib/Locale/RecodeData/CP1257.pm \
	lib/Locale/RecodeData/CSN_369103.pm \
	lib/Locale/RecodeData/CWI.pm \
	lib/Locale/RecodeData/DEC_MCS.pm \
	lib/Locale/RecodeData/EBCDIC_AT_DE.pm \
	lib/Locale/RecodeData/EBCDIC_AT_DE_A.pm \
	lib/Locale/RecodeData/EBCDIC_CA_FR.pm \
	lib/Locale/RecodeData/EBCDIC_DK_NO.pm \
	lib/Locale/RecodeData/EBCDIC_DK_NO_A.pm \
	lib/Locale/RecodeData/EBCDIC_ES.pm \
	lib/Locale/RecodeData/EBCDIC_ES_A.pm \
	lib/Locale/RecodeData/EBCDIC_ES_S.pm \
	lib/Locale/RecodeData/EBCDIC_FI_SE.pm \
	lib/Locale/RecodeData/EBCDIC_FI_SE_A.pm \
	lib/Locale/RecodeData/EBCDIC_FR.pm \
	lib/Locale/RecodeData/EBCDIC_IS_FRISS.pm \
	lib/Locale/RecodeData/EBCDIC_IT.pm \
	lib/Locale/RecodeData/EBCDIC_PT.pm \
	lib/Locale/RecodeData/EBCDIC_UK.pm \
	lib/Locale/RecodeData/EBCDIC_US.pm \
	lib/Locale/RecodeData/ECMA_CYRILLIC.pm \
	lib/Locale/RecodeData/GEORGIAN_ACADEMY.pm \
	lib/Locale/RecodeData/GEORGIAN_PS.pm \
	lib/Locale/RecodeData/GOST_19768_74.pm \
	lib/Locale/RecodeData/GREEK7.pm \
	lib/Locale/RecodeData/GREEK7_OLD.pm \
	lib/Locale/RecodeData/GREEK_CCITT.pm \
	lib/Locale/RecodeData/HP_ROMAN8.pm \
	lib/Locale/RecodeData/IBM037.pm \
	lib/Locale/RecodeData/IBM038.pm \
	lib/Locale/RecodeData/IBM1004.pm \
	lib/Locale/RecodeData/IBM1026.pm \
	lib/Locale/RecodeData/IBM1047.pm \
	lib/Locale/RecodeData/IBM256.pm \
	lib/Locale/RecodeData/IBM273.pm \
	lib/Locale/RecodeData/IBM274.pm \
	lib/Locale/RecodeData/IBM275.pm \
	lib/Locale/RecodeData/IBM277.pm \
	lib/Locale/RecodeData/IBM278.pm \
	lib/Locale/RecodeData/IBM280.pm \
	lib/Locale/RecodeData/IBM281.pm \
	lib/Locale/RecodeData/IBM284.pm \
	lib/Locale/RecodeData/IBM285.pm \
	lib/Locale/RecodeData/IBM290.pm \
	lib/Locale/RecodeData/IBM297.pm \
	lib/Locale/RecodeData/IBM420.pm \
	lib/Locale/RecodeData/IBM423.pm \
	lib/Locale/RecodeData/IBM424.pm \
	lib/Locale/RecodeData/IBM437.pm \
	lib/Locale/RecodeData/IBM500.pm \
	lib/Locale/RecodeData/IBM850.pm \
	lib/Locale/RecodeData/IBM851.pm \
	lib/Locale/RecodeData/IBM852.pm \
	lib/Locale/RecodeData/IBM855.pm \
	lib/Locale/RecodeData/IBM857.pm \
	lib/Locale/RecodeData/IBM860.pm \
	lib/Locale/RecodeData/IBM861.pm \
	lib/Locale/RecodeData/IBM862.pm \
	lib/Locale/RecodeData/IBM863.pm \
	lib/Locale/RecodeData/IBM864.pm \
	lib/Locale/RecodeData/IBM865.pm \
	lib/Locale/RecodeData/IBM866.pm \
	lib/Locale/RecodeData/IBM868.pm \
	lib/Locale/RecodeData/IBM869.pm \
	lib/Locale/RecodeData/IBM870.pm \
	lib/Locale/RecodeData/IBM871.pm \
	lib/Locale/RecodeData/IBM874.pm \
	lib/Locale/RecodeData/IBM875.pm \
	lib/Locale/RecodeData/IBM880.pm \
	lib/Locale/RecodeData/IBM891.pm \
	lib/Locale/RecodeData/IBM903.pm \
	lib/Locale/RecodeData/IBM904.pm \
	lib/Locale/RecodeData/IBM905.pm \
	lib/Locale/RecodeData/IBM918.pm \
	lib/Locale/RecodeData/IEC_P27_1.pm \
	lib/Locale/RecodeData/INIS.pm \
	lib/Locale/RecodeData/INIS_8.pm \
	lib/Locale/RecodeData/INIS_CYRILLIC.pm \
	lib/Locale/RecodeData/ISO_10367_BOX.pm \
	lib/Locale/RecodeData/ISO_2033_1983.pm \
	lib/Locale/RecodeData/ISO_5427.pm \
	lib/Locale/RecodeData/ISO_5427_EXT.pm \
	lib/Locale/RecodeData/ISO_5428.pm \
	lib/Locale/RecodeData/ISO_8859_1.pm \
	lib/Locale/RecodeData/ISO_8859_10.pm \
	lib/Locale/RecodeData/ISO_8859_11.pm \
	lib/Locale/RecodeData/ISO_8859_13.pm \
	lib/Locale/RecodeData/ISO_8859_14.pm \
	lib/Locale/RecodeData/ISO_8859_15.pm \
	lib/Locale/RecodeData/ISO_8859_16.pm \
	lib/Locale/RecodeData/ISO_8859_2.pm \
	lib/Locale/RecodeData/ISO_8859_3.pm \
	lib/Locale/RecodeData/ISO_8859_4.pm \
	lib/Locale/RecodeData/ISO_8859_5.pm \
	lib/Locale/RecodeData/ISO_8859_6.pm \
	lib/Locale/RecodeData/ISO_8859_7.pm \
	lib/Locale/RecodeData/ISO_8859_8.pm \
	lib/Locale/RecodeData/ISO_8859_9.pm \
	lib/Locale/RecodeData/KOI8_R.pm \
	lib/Locale/RecodeData/KOI8_RU.pm \
	lib/Locale/RecodeData/KOI8_T.pm \
	lib/Locale/RecodeData/KOI8_U.pm \
	lib/Locale/RecodeData/KOI_8.pm \
	lib/Locale/RecodeData/LATIN_GREEK.pm \
	lib/Locale/RecodeData/LATIN_GREEK_1.pm \
	lib/Locale/RecodeData/MACARABIC.pm \
	lib/Locale/RecodeData/MACCROATIAN.pm \
	lib/Locale/RecodeData/MACCYRILLIC.pm \
	lib/Locale/RecodeData/MACGREEK.pm \
	lib/Locale/RecodeData/MACHEBREW.pm \
	lib/Locale/RecodeData/MACICELAND.pm \
	lib/Locale/RecodeData/MACINTOSH.pm \
	lib/Locale/RecodeData/MACROMANIA.pm \
	lib/Locale/RecodeData/MACTHAI.pm \
	lib/Locale/RecodeData/MACTURKISH.pm \
	lib/Locale/RecodeData/MACUKRAINE.pm \
	lib/Locale/RecodeData/MAC_IS.pm \
	lib/Locale/RecodeData/MAC_SAMI.pm \
	lib/Locale/RecodeData/MAC_UK.pm \
	lib/Locale/RecodeData/NATS_DANO.pm \
	lib/Locale/RecodeData/NATS_SEFI.pm \
	lib/Locale/RecodeData/NEXTSTEP.pm \
	lib/Locale/RecodeData/SAMI_WS2.pm \
	lib/Locale/RecodeData/TIS_620.pm \
	lib/Locale/RecodeData/US_ASCII.pm \
	lib/Locale/RecodeData/UTF_8.pm \
	lib/Locale/RecodeData/VISCII.pm \
	lib/Locale/RecodeData/_Encode.pm \
	lib/Locale/TextDomain.pm \
	lib/Locale/Util.pm \
	lib/Locale/gettext_dumb.pm \
	lib/Locale/gettext_pp.pm \
	lib/Locale/gettext_xs.pod \
	lib/Locale/libintlFAQ.pod

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/Locale/Messages.pm \
	lib/Locale/Recode.pm \
	lib/Locale/Recode/_Aliases.pm \
	lib/Locale/Recode/_Conversions.pm \
	lib/Locale/RecodeData.pm \
	lib/Locale/RecodeData/ASMO_449.pm \
	lib/Locale/RecodeData/ATARI_ST.pm \
	lib/Locale/RecodeData/ATARI_ST_EURO.pm \
	lib/Locale/RecodeData/CP10007.pm \
	lib/Locale/RecodeData/CP1250.pm \
	lib/Locale/RecodeData/CP1251.pm \
	lib/Locale/RecodeData/CP1252.pm \
	lib/Locale/RecodeData/CP1253.pm \

=== tp/maintain/lib/libintl-perl/gettext_xs/Makefile ===
# This Makefile is for the Locale::gettext_xs extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.24 (Revision: 72400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[XS Interface to Uniforum Message Translation]
#     AUTHOR => [q[Guido Flohr <guido.flohr@cantanea.com>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     LIBS => [q[-lintl -liconv]]
#     NAME => q[Locale::gettext_xs]
#     PL_FILES => {  }
#     PREREQ_PM => { File::Spec=>q[0] }
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[../lib/Locale/Messages.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/x86_64-linux-gnu/perl/5.26/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = x86_64-linux-gnu-gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = x86_64-linux-gnu-gcc
LDDLFLAGS = -shared -L/usr/local/lib -fstack-protector-strong
LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
LIBC = libc-2.27.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 4.9.0
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.26.1
SITEARCHEXP = /usr/local/lib/x86_64-linux-gnu/perl/5.26.1
SO = so
VENDORARCHEXP = /usr/lib/x86_64-linux-gnu/perl5/5.26
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = Locale::gettext_xs
NAME_SYM = Locale_gettext_xs
VERSION = 1.32
VERSION_MACRO = VERSION
VERSION_SYM = 1_32
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.32
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = ../blib/arch
INST_SCRIPT = ../blib/script
INST_BIN = ../blib/bin
INST_LIB = ../blib/lib
INST_MAN1DIR = ../blib/man1
INST_MAN3DIR = ../blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr
SITEPREFIX = /usr/local
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/share/perl/5.26
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/local/share/perl/5.26.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /usr/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.26
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/local/lib/x86_64-linux-gnu/perl/5.26.1
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /usr/lib/x86_64-linux-gnu/perl5/5.26
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.26
PERL_ARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.26
PERL_ARCHLIBDEP = /usr/lib/x86_64-linux-gnu/perl/5.26
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/x86_64-linux-gnu/perl/5.26/CORE
PERL_INCDEP = /usr/lib/x86_64-linux-gnu/perl/5.26/CORE
PERL = "/usr/bin/perl"
FULLPERL = "/usr/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.26/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.24
MM_REVISION = 72400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = Locale/gettext_xs
BASEEXT = gettext_xs
PARENT_NAME = Locale
DLBASE = $(BASEEXT)
VERSION_FROM = ../lib/Locale/Messages.pm
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = gettext_xs.xs
C_FILES  = gettext_xs.c
O_FILES  = gettext_xs.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = 

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Locale
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Locale

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = gettext_xs.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.24
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/share/perl/5.26.1/ExtUtils
XSUBPP = "$(XSUBPPDIR)$(DFSEP)xsubpp"
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /usr/share/perl/5.26/ExtUtils/typemap /usr/share/perl/5.26.1/ExtUtils$(DFSEP)xsubpp
XSUBPPARGS = -typemap '/usr/share/perl/5.26/ExtUtils/typemap'
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section skipped.

# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:

CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fwrapv -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2 -g
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# Locale::gettext_xs might depend on some other libraries:
# See ExtUtils::Liblist for details
#


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	LD="$(LD)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE='$(DEFINE) $(PASTHRU_DEFINE)'\
	PASTHRU_INC='$(INC) $(PASTHRU_INC)'


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir pure_all subdirs clean_subdirs makemakerdflt manifypods realclean_subdirs subdirs_dynamic subdirs_pure_nolink subdirs_static subdirs-test_dynamic subdirs-test_static test_dynamic test_static



# --- MakeMaker c_o section:

.c.i:
	x86_64-linux-gnu-gcc  -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s :
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c 

.c$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT) :
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc
	$(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:
.xs$(OBJ_EXT) :
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc
	$(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c 


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL

=== debian/changelog ===
texinfo (7.1.1-1ubuntu1) questing; urgency=medium

  * d/p/0003-Use-explicit-prototype-for-Info-command-functions.patch:
    Cherry-pick commit from upstream to use explicit prototypes for some
    functions which did not have parameters defined previously, to fix FTBFS
    with GCC 15 (LP: #2125002).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 18 Sep 2025 11:59:27 -0700

texinfo (7.1.1-1) unstable; urgency=medium

  * New upstream release; disable obsolete patches, add DEP-3
    header to remaining patches.
  * Package builds a source package after a successful build
    (Closes: #1046800).
  * Lintian overrides / fixes.
  * Debian test suite does not need full package build.
  * Bump Standards version, no changes needed.
  * Update d/copyright to 2024.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 14 Sep 2024 00:07:11 +0200

=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	   Frank Küster <frank@debian.org>,
	   Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13),
	libncurses-dev,
	gettext,
	libtext-unidecode-perl,
	help2man,
	libperl-dev,
	desktop-file-utils
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/debian-tex/texinfo.git
Vcs-Browser: https://github.com/debian-tex/texinfo
Homepage: https://www.gnu.org/software/texinfo/

Package: texinfo
Section: text
Priority: optional
Architecture: all
Depends: ${shlibs:Depends},
	${misc:Depends},
	${perl:Depends},
	libtext-unidecode-perl,
	libxml-libxml-perl,
	texinfo-lib (>= ${source:Version}),
	tex-common
Suggests: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended
Breaks: texinfo-doc-nonfree
Replaces: texinfo-doc-nonfree
Multi-Arch: foreign
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices.
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: texinfo-lib
Section: text
Priority: optional
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	${perl:Depends}
Breaks: texinfo-doc-nonfree, texinfo (<= 7.0.1-2)
Replaces: texinfo-doc-nonfree, texinfo (<= 7.0.1-2)
Description: Libraries needed by the texinfo package
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices.
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.
 .
 This package contains the architecture dependent parts of the texinfo package.

Package: info
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
Provides: info-browser
Breaks: texinfo-doc-nonfree
Replaces: texinfo-doc-nonfree
Multi-Arch: foreign
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.

Package: install-info
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Manage installed documentation in info format
 The install-info utility creates the index of all installed documentation
 in info format and makes it available to info readers.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

DEB_CFLAGS_MAINT_APPEND=-Wall
# needed for correct building of new texinfo
DEB_CFLAGS_MAINT_STRIP=-Werror=format-security

include /usr/share/dpkg/architecture.mk

include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS
export PERL_EXT_CFLAGS := $(CFLAGS)
export PERL_EXT_CPPFLAGS := $(CPPFLAGS)
export PERL_EXT_LDFLAGS := $(LDFLAGS)

texinfo := $(CURDIR)/debian/texinfo
ii := $(CURDIR)/debian/install-info
infopkg := $(CURDIR)/debian/info
tmpdir := $(CURDIR)/debian/tmp

# The Debian provided libintl-perl breaks several tests and probably
# also some of the behaviour. Disable it until these problems are fixed
# on either side.
#	  --with-external-libintl-perl=yes \

%:
	dh $@

override_dh_auto_configure:
	AWK=awk ./configure \
	  --with-external-Text-Unidecode=yes \
	  --prefix=/usr \
	  --libexecdir='$${prefix}/lib' \
	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

execute_before_dh_auto_build:
	cp man/texi2dvi.1 debian

execute_after_dh_auto_build:
	# build html docs
	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html info-stnd
	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html texinfo
	mv debian/texi2dvi.1 man/
	touch man/texi2dvi.1

override_dh_auto_install:
	$(MAKE) install install-tex prefix=$(tmpdir)/usr \
                                    TEXMF=$(tmpdir)/usr/share/texmf

override_dh_install:
	find $(tmpdir) -type f -name dir | xargs rm -f
	#
	desktop-file-install --dir=$(tmpdir)/usr/share/applications debian/info.desktop
	#
	# clean out .la files as they contain references to libperl
	# which is not necessary
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(tmpdir) -name '*.la'`
	#
	# epsf.tex is in texlive
	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
	# install all the files
	dh_install
	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info

#binary-indep:
# There aren't any architecture independent packages here.

override_dh_auto_test:
	# Skip test suite.

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_perl:
	dh_perl /usr/lib/texinfo

# other targets
update-texinfo.tex:
	wget -O $(CURDIR)/debian/texinfo.tex ftp://tug.org/tex/texinfo.tex

#.PHONY: build clean binary-indep binary-arch binary install

=== debian/tests/control ===
Tests: test-suite
Depends: build-essential,
	libncurses-dev,
	gettext,
	help2man,
	libtext-unidecode-perl,
	libperl-dev
Restrictions: allow-stderr

## texinfo 7.2

=== tp/maintain/lib/libintl-perl/tests/po/Makefile ===
# Makefile for various po files.  This Makefile is intended for the
# maintainer.  No problem if you cannot run it on your system.

srcdir = .
top_srcdir = ..

LINGUAS = de de_AT xy xy_XY
PACKAGES = existing additional

#CATALOGS = $(addsuffix .po, LINGUAS)
CATALOGS = $(LINGUAS)
MO_FILES = $(foreach pkg,$(PACKAGES), $(addprefix $(pkg)., $(addsuffix .mo, $(LINGUAS))))

MSGMERGE = msgmerge
MSGFMT   = msgfmt
CATOBJEXT = .po

all: default

default: install 

install: $(MO_FILES)
	cd $(srcdir); \
	targetdir='$(top_srcdir)/LocaleData'; \
	languages='$(LINGUAS)'; \
	packages='$(PACKAGES)'; \
	for package in $$packages; do \
		for lang in $$languages; do \
			dest="$$targetdir/$$lang/LC_MESSAGES/$$package.mo"; \
			cat="$$package.$$lang.mo"; \
			echo "installing $$cat as $$dest"; \
			cp -f $$cat $$dest && chmod 644 $$dest || exit 1; \
		done; \
	done

update-mo: $(MO_FILES)
	@echo "MO-FILES: $(MO_FILES)"

clean:
	rm -f $(MO_FILES) *~

.SUFFIXES:
.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) --check --statistics --verbose -o $@ $<

=== debian/changelog ===
texinfo (7.2-5) unstable; urgency=medium

  [ Niko Tyni ]
  * Patch 0001-Fix-test-suite-failures-with-Perl-5.42 to fix test suite
    failure on Perl 5.42 (Closes: #1115088).

  * Delete obsolete patches.
  * Replace "configure call" by "dh_auto_configure".
  * Remove obsolete build workarounds.
  * Enable hardening.
  * Lintian override: E: texinfo-lib: custom-library-search-path RUNPATH
  * texinfo moves back to salse, update Vcs-* in d/control.
  * Bump Standards version: no changes needed.
  * More Lintian stuff.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 24 Oct 2025 23:42:56 +0200

texinfo (7.2-4) unstable; urgency=medium

  * Disable test suite during build again, b/c it fails on official
    builders propbably due to different user environment.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 19 Aug 2025 09:02:24 +0200

texinfo (7.2-3) unstable; urgency=medium

  * Upload to unstable.
  * Run test suite during build (Closes: #1067479).

 -- Hilmar Preuße <hille42@debian.org>  Tue, 19 Aug 2025 07:31:31 +0200

texinfo (7.2-2) experimental; urgency=medium

  * Install some *.la files again after recommendation from upstream.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 18 Jan 2025 23:30:00 +0100

texinfo (7.2-1) experimental; urgency=medium

  * New upstream release.
    - Can be built using gcc-15 (Closes: #1097986).
    "The use of the directories ~/.texinfo and ~/.texi2any for configuration
    files is deprecated, and should be replaced by texinfo or texi2any
    directories under XDG_CONFIG_HOME (usually ~/.config/).  the new
    locations are compatible with the XDG Base Directory Specification.
    in future versions, the ~/.texinfo and ~/.texi2any directories will
    not be in search paths."
  * Demote priority of "info" and "install-info" to optional
    (PR #12).
  * Don't install *.la files into /usr/lib any more.
  * Build using "--with-external-libintl-perl=yes" to use libintl-perl
    delivered with Debian.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 07 Jan 2025 23:29:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: texinfo
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
 	   Frank Küster <frank@debian.org>,
 	   Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	desktop-file-utils,
+	gettext,
+	help2man,
+	libintl-perl,
 	libncurses-dev,
-	gettext,
-	libtext-unidecode-perl,
-	help2man,
 	libperl-dev,
-	desktop-file-utils
-Standards-Version: 4.7.0
+	libtext-unidecode-perl
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/debian-tex/texinfo.git
-Vcs-Browser: https://github.com/debian-tex/texinfo
+Vcs-Git: https://salsa.debian.org/tex-team/texinfo.git
+Vcs-Browser: https://salsa.debian.org/tex-team/texinfo
 Homepage: https://www.gnu.org/software/texinfo/
 
 Package: texinfo
@@ -27,6 +27,7 @@
 	${misc:Depends},
 	${perl:Depends},
 	libtext-unidecode-perl,
+	libintl-perl,
 	libxml-libxml-perl,
 	texinfo-lib (>= ${source:Version}),
 	tex-common
@@ -64,7 +65,7 @@
  This package contains the architecture dependent parts of the texinfo package.
 
 Package: info
-Priority: important
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
 Provides: info-browser
@@ -80,7 +81,7 @@
  the form of Info files, so it is most likely you will want to install it.
 
 Package: install-info
-Priority: important
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,17 @@
 
 DEB_CFLAGS_MAINT_APPEND=-Wall
 # needed for correct building of new texinfo
-DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
+#DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
 
 include /usr/share/dpkg/buildflags.mk
-export CPPFLAGS CFLAGS LDFLAGS
+#export CPPFLAGS CFLAGS LDFLAGS
 export PERL_EXT_CFLAGS := $(CFLAGS)
 export PERL_EXT_CPPFLAGS := $(CPPFLAGS)
 export PERL_EXT_LDFLAGS := $(LDFLAGS)
 
-texinfo := $(CURDIR)/debian/texinfo
-ii := $(CURDIR)/debian/install-info
-infopkg := $(CURDIR)/debian/info
 tmpdir := $(CURDIR)/debian/tmp
 
 # The Debian provided libintl-perl breaks several tests and probably
@@ -29,11 +27,11 @@
 	dh $@
 
 override_dh_auto_configure:
-	AWK=awk ./configure \
+	AWK=awk dh_auto_configure -- \
+	  --libdir='$${prefix}/lib' \
+	  --libexecdir='$${prefix}/lib' \
 	  --with-external-Text-Unidecode=yes \
-	  --prefix=/usr \
-	  --libexecdir='$${prefix}/lib' \
-	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
+	  --with-external-libintl-perl=yes \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 
 execute_before_dh_auto_build:
@@ -63,7 +61,6 @@
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
 	dh_install
-	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info
 
 #binary-indep:
 # There aren't any architecture independent packages here.
@@ -75,7 +72,12 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_perl:
-	dh_perl /usr/lib/texinfo
+	#dh_perl /usr/lib/texinfo
+	dh_perl /usr/lib/texi2any
+
+override_dh_missing:
+	dh_missing --list-missing --sourcedir=debian/tmp
+	dh_missing --fail-missing --sourcedir=debian/tmp -X share/info -X usr/lib/texi2any
 
 # other targets
 update-texinfo.tex:

=== debian/tests/control ===
Tests: test-suite
Depends: build-essential,
	gettext,
	help2man,
	libintl-perl,
	libncurses-dev,
	libperl-dev,
	libtext-unidecode-perl
Restrictions: allow-stderr

## texinfo 7.2.90

=== debian/changelog ===
texinfo (7.2.90-2) experimental; urgency=medium

  * Ignore comments in /etc/environment (Closes: #1127091).
  * Add libcrypt-dev to BD (Closes: #1127328).

 -- Hilmar Preuße <hille42@debian.org>  Sun, 08 Feb 2026 15:12:35 +0100

texinfo (7.2.90-1) experimental; urgency=medium

  * New upstream (beta) version.
  * Bump Standards version, no changes needed.
  * Add patch from Daniel Abrecht <deb@danielabrecht.ch> to stop
    sourcing /etc/environment (Closes: #1114610).

 -- Hilmar Preuße <hille42@debian.org>  Thu, 05 Feb 2026 23:00:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,8 @@
 #	  --with-external-libintl-perl=yes \
 
 %:
-	dh $@
+	dh $@ --without autoreconf
+	# Re-enable autoreconf after gettext => 0.26 entered the archive.
 
 override_dh_auto_configure:
 	AWK=awk dh_auto_configure -- \
@@ -33,14 +34,17 @@
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	# Leave C based texi2any for later; need a new package for "texiany".
+	#  --enable-c-texi2any
+
 
 execute_before_dh_auto_build:
 	cp man/texi2dvi.1 debian
 
 execute_after_dh_auto_build:
 	# build html docs
-	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html info-stnd
-	cd doc && env TEXINFO_DEV_SOURCE=1 ../tp/texi2any --html texinfo
+	cd doc && env TEXINFO_DEV_SOURCE=1 ../tta/perl/texi2any --html info-stnd
+	cd doc && env TEXINFO_DEV_SOURCE=1 ../tta/perl/texi2any --html texinfo
 	mv debian/texi2dvi.1 man/
 	touch man/texi2dvi.1

## texinfo 7.2.91

=== debian/changelog ===
texinfo (7.2.91-1) experimental; urgency=medium

  * New upstream (beta) version.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 09 Feb 2026 14:36:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 	libintl-perl,
 	libncurses-dev,
 	libperl-dev,
+	libcrypt-dev,
 	libtext-unidecode-perl
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/tex-team/texinfo.git
 Vcs-Browser: https://salsa.debian.org/tex-team/texinfo
 Homepage: https://www.gnu.org/software/texinfo/

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	  --libexecdir='$${prefix}/lib' \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
+	  --enable-perl-xs \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	# Leave C based texi2any for later; need a new package for "texiany".
 	#  --enable-c-texi2any

## texinfo 7.2.92

=== debian/changelog ===
texinfo (7.2.92-1) experimental; urgency=medium

  * New upstream (beta) version.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 22 Feb 2026 11:57:35 +0100

## texinfo 7.3

=== debian/changelog ===
texinfo (7.3-1) experimental; urgency=medium

  Final release TeXInfo 7.3
  * Contains fix: crash when building the gcc-12-doc package.
  * Lot of (www.)gnu.org URLs use to https protocol
    (Closes: #1105214)

  * Add patch for buggy resolution of cross-references (Closes: #484740).
  * Enable (still experimental) SWIG interface of TeXInfo.

 -- Hilmar Preuße <hille42@debian.org>  Tue, 03 Mar 2026 22:46:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	desktop-file-utils,
 	gettext,
 	help2man,
+	swig,
 	libintl-perl,
 	libncurses-dev,
 	libperl-dev,
@@ -64,6 +65,24 @@
  .
  This package contains the architecture dependent parts of the texinfo package.
 
+Package: texinfo-swig
+Section: text
+Priority: optional
+Architecture: any
+Depends: ${shlibs:Depends},
+	${misc:Depends},
+	${perl:Depends}
+Description: Swig interface of the texinfo package.
+ Texinfo is a documentation system that uses a single source file to
+ produce both on-line information and printed output.
+ .
+ Using Texinfo, you can create a printed document with the normal features
+ of a book, including chapters, sections, cross references, and indices.
+ From the same Texinfo source file, you can create a menu-driven, on-line
+ Info file with nodes, menus, cross references, and indices.
+ .
+ This package contains the SWIG interface of TeXInfo.
+
 Package: info
 Priority: optional
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	  --libexecdir='$${prefix}/lib' \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
-	  --enable-perl-xs \
+	  --enable-perl-xs --with-swig \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	# Leave C based texi2any for later; need a new package for "texiany".
 	#  --enable-c-texi2any
